---
Name: sledgehammer-customize
Description: Add extra packages that Sledgehammer needs.
Documentation: |
  This task allows you to customize Sledgehammer by programatically
  inserting extra tasks via the `sledgehammer/customize-tasks` param.
Templates:
  - Name: fix-reported-version
    Contents: |
      #!/usr/bin/env bash
      [[ -f /etc/centos-release ]] || exit 0
      sed -i -e '/VERSION_ID/ s/8\.[0-9]*/8/' /etc/os-release
  - Name: install-sipcalc
    Contents: |
      #!/usr/bin/env bash
      #!/bin/bash
      # 'arch' is built for "x86_64", "aarch64, "armv7hl"
      # for ARM arch types - not tested yet
      # orig source location: https://koji.fedoraproject.org/koji/packageinfo?packageID=8762
      arch=$(uname -p)
      rm -rf /tmp/extra-packages
      mkdir -p /tmp/extra-packages
      cd /tmp/extra-packages
      dnf -y install stress
      if [[ "$arch" == "ppc64le" ]] ; then
        wget https://rpmfind.net/linux/fedora-secondary/releases/32/Everything/ppc64le/os/Packages/j/Judy-1.0.5-22.fc32.ppc64le.rpm
        dnf -y localinstall *.rpm
        dnf -y install sipcalc stress-ng
      else
        wget https://s3-us-west-2.amazonaws.com/rackn-sledgehammer/sipcalc-1.1.6-15.fc30.$arch.rpm
        wget https://archives.fedoraproject.org/pub/archive/fedora/linux/releases/29/Everything/x86_64/os/Packages/s/stress-ng-0.07.29-7.fc29.$arch.rpm
        dnf -y localinstall *.rpm
      fi
  - Name: install-chntpw
    Contents: |
      #!/usr/bin/env bash

      epel_ver=$(cat /etc/redhat-release |awk '{print $3}'|cut -d '.' -f 1)

      tee /etc/yum.repos.d/custom.repo <<EOF
      [rackn-custom-repo]
      name=RackN Custom RPM Repository
      baseurl=https://rackn-repo.s3.us-west-2.amazonaws.com/rackn-rpm-repo/epel-$epel_ver/\$basearch/
      enabled=1
      gpgcheck=0
      EOF

      dnf clean all
      dnf install -y chntpw
  - Name: systemd-logind-do-not-suspend-laptops
    Path: /etc/systemd/logind.conf
    Contents: |
      #  This file is part of systemd.
      #
      #  systemd is free software; you can redistribute it and/or modify it
      #  under the terms of the GNU Lesser General Public License as published by
      #  the Free Software Foundation; either version 2.1 of the License, or
      #  (at your option) any later version.
      #
      # Entries in this file show the compile time defaults.
      # You can change settings by editing this file.
      # Defaults can be restored by simply deleting this file.
      #
      # See logind.conf(5) for details.

      [Login]
      HandleLidSwitch=ignore
      LidSwitchIgnoreInhibited=no

  - Name: add-customization-tasks
    Contents: |
      #!/usr/bin/env bash
      moreTasks="{{ .Param "sledgehammer/customize-tasks" | join " "}}"
      [[ $moreTasks ]] || exit 0
      drpcli machines tasks add $RS_UUID at 0 $moreTasks
